Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
string
required
message_id
string
required

The id of the message to retrieve.

Response

Retrieved message

The conversation.message object represents a message in a conversation.

object
enum<string>
required

The object type, which is always conversation.message.

Available options:
conversation.message
id
string
required

The message identifier.

agent_id
string
required

The ID of the agent that sent or responded to the message.

role
enum<string>
required

The role of the message sender - either 'user' or 'agent'.

Available options:
user,
agent
content
object[]
required

Contents of the message.

Text content for a message.

created_at
string<date-time>
required

The ISO string for when the message was created.

conversation_id
string
required

The ID of the conversation the message belongs to.

credits
object | null
required

Credit consumption for this converse turn. null for user-role messages and when retrieving messages from conversation history.

citations
object[] | null
required

Array of citations that provide sources for factual statements in the response. Each citation includes the referenced text and its sources.